Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## backupAndRecovery
Class Delete

    java.lang.Object
      backupAndRecovery.Delete

    public class Delete

extends java.lang.Object

This class provides convenient way to delete existing backups. To successfully delete distributed backup, single delete request is not sufficient. Backup has to be deleted repeatedly to ensure all fragments have been deleted.

Constructor Summary
`Delete()`

Method Summary
`static void` | `delete(BackupMetaContainer meta)` Performs one time deletion of backup.
`static void` | `delete(BackupMetaContainer meta, boolean repeat)` Enables user to repeatedly delete backup.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Delete

    public Delete()

Method Detail

### delete

    public static void delete(BackupMetaContainer meta)

  Performs one time deletion of backup.

  Parameters:
    `meta` - metainformation about backup to be deleted

### delete

    public static void delete(BackupMetaContainer meta,
                              boolean repeat)

  Enables user to repeatedly delete backup. In addition to one time deletion of backup, if specified by parameter, attempts to delete backup are repeated every hour for one week. Repeated deletion is required to ensure backup has been deleted from computers not connected to network at time of one time deletion. However, to succesfully delete fragment, these nodes and local node have to be connected to network at the same time for at least one hour.

  Parameters:
    `meta` - metainformation about backup to be deleted
    `repeat` - true if additional attempts are to be made

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD